#!/bin/bash

# gif2ppm Version 0.2.0 - Convert .gif files to .ppm format
# Copyright (C) 2003-2010  dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# This procedure depends on the NETPBM package.

PTH=` which giftopnm `
if [ "$PTH" = "" ]
then
	echo "Install the NETPBM package"
	exit 1
fi

# First remove all .ppm files from the current directory.
# Then, run gif2ppm.sh.
# Then run ppm2fnt.sh.
# After ppm2fnt.sh, create the font directory name.
# Move all .fnt files created by ppm2fnt.sh to the new directory.
# Clean out .ppm and .gif files from the current directory.

ls *.gif |
while read FN
do
	BN=` basename $FN .gif `
	echo "$FN $BN"
	giftopnm <$FN >$BN.ppm
done
